GitHub Pull Requests API

Get public pull requests authored by a GitHub user. Filter by created date with since and until.

1 creditper request
GET
/v1/github/user/pull-requests
curl "https://api.scrapecreators.com/v1/github/user/pull-requests" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "pull_requests": [
    {
      "title": "Garmin: Report correct local time offset",
      "repo": "subsurface/libdc",
      "state": "closed",
      "created_at": "2024-12-26T20:13:25Z",
      "url": "https://github.com/subsurface/libdc/pull/69"
    },
    {
      "title": "Add support for odd-sized SHA256 objects",
      "repo": "git/git",
      "state": "closed",
      "created_at": "2024-08-12T17:05:24Z",
      "url": "https://github.com/git/git/pull/1772"
    }
  ],
  "cursor": 2,
  "has_more": false
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string
required

GitHub username/handle of the user you want pull requests for

Example:
torvalds
since
string

Only return pull requests created on or after this date. Use YYYY-MM-DD.

Example:
2024-01-01
until
string

Only return pull requests created on or before this date. Use YYYY-MM-DD.

Example:
2024-12-31
cursor
number

Cursor from the previous response. Defaults to 1.

Example:
1